using System;
using System.Collections.Generic;
using System.Security.Cryptography;
using System.Text;

namespace XYY.Common.Standard.String
{
    public static class Encryption
    { 
        public static string Md532(string str)
        {
            MD5CryptoServiceProvider md5Csp = new MD5CryptoServiceProvider();
            byte[] md5Source = Encoding.UTF8.GetBytes(str);
            byte[] md5Out = md5Csp.ComputeHash(md5Source);
            string pwd = "";
            for (int i = 0; i < md5Out.Length; i++)
            {
                pwd += md5Out[i].ToString("x2");
            }
            return pwd;
        }
    }
}
